Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Receiver< T > Class Template Reference

The class implements a receiver. More...

`#include <Receiver.h>`

Inheritance diagram for Receiver< T >:

[legend]
Collaboration diagram for Receiver< T >:

[legend]
List of all members.

## Public Member Functions
| Receiver (PlatformProcess *process, const char *receiverName, bool blocking)
| The constructor.
virtual int | fillEntryTable (ObjectEntry *entryTable, int id)
| Fills the Aperios entry table for global functions.
## Protected Member Functions
virtual void | handleMessage (ONotifyMessage &msg)
| The function is called when a new package arrived.
## Static Protected Member Functions
void | aperiosConnect (OConnectMessage *msg)
| The Aperios connection handler.
void | aperiosNotify (ONotifyMessage *msg)
| The Aperios handler that is called when a package is received.
## Static Protected Attributes
Receiver< T > * | theInstance = 0
| The only instance of Receiver<T>.

## Detailed Description

### template<class T>
class Receiver< T >

The class implements a receiver.

A receiver is an object that reads packages from an Aperios queue.

Definition at line 104 of file Receiver.h.

## Constructor & Destructor Documentation

template<class T>
Receiver< T >::Receiver | ( | PlatformProcess * | process,
|  | const char * | receiverName,
|  | bool | blocking
| ) | `[inline]`

  | The constructor. Parameters:
  process | The process this receiver is associated with.
  receiverName | The Aperios connection name of the receiver without the process name.
  blocking | Decides whether this receiver blocks the execution of the next frame until it has received a package.
Definition at line 153 of file Receiver.h.

## Member Function Documentation

template<class T>
virtual void Receiver< T >::handleMessage | ( | ONotifyMessage & | msg | ) | `[inline, protected, virtual]`

  | The function is called when a new package arrived. Parameters:
  msg | An Open-R message that contains the package.
Reimplemented in SharedReceiver< T >. Definition at line 113 of file Receiver.h. References ASSERT, InStream< InMemory, InBinary >::eof(), and ReceiverList::setEventId().

Here is the call graph for this function:

template<class T>
void Receiver< T >::aperiosConnect | ( | OConnectMessage * | msg | ) | `[inline, static, protected]`

  | The Aperios connection handler. Parameters:
  msg | A message provided by Aperios.
Definition at line 129 of file Receiver.h.

template<class T>
void Receiver< T >::aperiosNotify | ( | ONotifyMessage * | msg | ) | `[inline, static, protected]`

  | The Aperios handler that is called when a package is received. Parameters:
  msg | A message provided by Aperios that contains the package.
Definition at line 139 of file Receiver.h.

template<class T>
virtual int Receiver< T >::fillEntryTable | ( | ObjectEntry * | entryTable,
|  | int | id
| ) | `[inline, virtual]`

  | Fills the Aperios entry table for global functions. The function will write two entries into the table. Parameters:
  entryTable | The Aperios entry table.
  id | The first empty id in the entry table.
Returns: The new first empty id in the entry table. Implements ReceiverList. Definition at line 166 of file Receiver.h. References ASSERT, ENTRY_TABLE_MIN, and ReceiverList::setBlockingId().

Here is the call graph for this function:

## Member Data Documentation

template<class T>
Receiver< T > * Receiver< T >::theInstance = 0`[static, protected]`

| The only instance of Receiver<T>. Definition at line 180 of file Receiver.h.

The documentation for this class was generated from the following file:

- Platform/Aperios1.3.2/Receiver.h